package it.integry.integrywmsnative.gest.prod_recupero_materiale.dto;

import java.math.BigDecimal;
import java.util.Date;

import it.integry.integrywmsnative.core.model.MtbAart;
import it.integry.integrywmsnative.core.utility.UtilityDate;

public class HistoryVersamentoProdULRestDTO {


    private String gestione;
    private String dataCollo;
    private String serCollo;
    private Integer numCollo;
    private String segno;
    private String codMart;
    private String codCol;
    private String codTagl;
    private String codJfas;
    private String descrizioneFase;
    private BigDecimal qtaCol;
    private BigDecimal numCnf;
    private String partitaMag;
    private String codJcom;
    private String datetimeRow;
    private String descrizioneArt;
    private String untMis;
    private String gestioneRif;
    private String dataColloRif;
    private String serColloRif;
    private Integer numColloRif;

    private Integer numOrd;
    private String dataOrd;
    private String gestioneOrd;
    private Integer rigaOrd;
    private Integer percentageHr;

    public Integer getPercentageHr() {
        return percentageHr;
    }

    public HistoryVersamentoProdULRestDTO setPercentageHr(Integer percentageHr) {
        this.percentageHr = percentageHr;
        return this;
    }

    public String getGestione() {
        return gestione;
    }

    public HistoryVersamentoProdULRestDTO setGestione(String gestione) {
        this.gestione = gestione;
        return this;
    }

    public String getDataCollo() {
        return dataCollo;
    }

    public HistoryVersamentoProdULRestDTO setDataCollo(String dataCollo) {
        this.dataCollo = dataCollo;
        return this;
    }

    public String getSerCollo() {
        return serCollo;
    }

    public HistoryVersamentoProdULRestDTO setSerCollo(String serCollo) {
        this.serCollo = serCollo;
        return this;
    }

    public Integer getNumCollo() {
        return numCollo;
    }

    public HistoryVersamentoProdULRestDTO setNumCollo(Integer numCollo) {
        this.numCollo = numCollo;
        return this;
    }

    public String getSegno() {
        return segno;
    }

    public HistoryVersamentoProdULRestDTO setSegno(String segno) {
        this.segno = segno;
        return this;
    }

    public String getCodMart() {
        return codMart;
    }

    public HistoryVersamentoProdULRestDTO setCodMart(String codMart) {
        this.codMart = codMart;
        return this;
    }

    public String getCodCol() {
        return codCol;
    }

    public HistoryVersamentoProdULRestDTO setCodCol(String codCol) {
        this.codCol = codCol;
        return this;
    }

    public String getCodTagl() {
        return codTagl;
    }

    public HistoryVersamentoProdULRestDTO setCodTagl(String codTagl) {
        this.codTagl = codTagl;
        return this;
    }

    public String getCodJfas() {
        return codJfas;
    }

    public HistoryVersamentoProdULRestDTO setCodJfas(String codJfas) {
        this.codJfas = codJfas;
        return this;
    }

    public String getDescrizioneFase() {
        return descrizioneFase;
    }

    public HistoryVersamentoProdULRestDTO setDescrizioneFase(String descrizioneFase) {
        this.descrizioneFase = descrizioneFase;
        return this;
    }

    public BigDecimal getQtaCol() {
        return qtaCol;
    }

    public HistoryVersamentoProdULRestDTO setQtaCol(BigDecimal qtaCol) {
        this.qtaCol = qtaCol;
        return this;
    }

    public BigDecimal getNumCnf() {
        return numCnf;
    }

    public HistoryVersamentoProdULRestDTO setNumCnf(BigDecimal numCnf) {
        this.numCnf = numCnf;
        return this;
    }

    public String getPartitaMag() {
        return partitaMag;
    }

    public HistoryVersamentoProdULRestDTO setPartitaMag(String partitaMag) {
        this.partitaMag = partitaMag;
        return this;
    }

    public String getCodJcom() {
        return codJcom;
    }

    public HistoryVersamentoProdULRestDTO setCodJcom(String codJcom) {
        this.codJcom = codJcom;
        return this;
    }

    public String getDatetimeRow() {
        return datetimeRow;
    }

    public HistoryVersamentoProdULRestDTO setDatetimeRow(String datetimeRow) {
        this.datetimeRow = datetimeRow;
        return this;
    }

    public String getDescrizioneArt() {
        return descrizioneArt;
    }

    public HistoryVersamentoProdULRestDTO setDescrizioneArt(String descrizioneArt) {
        this.descrizioneArt = descrizioneArt;
        return this;
    }

    public String getUntMis() {
        return untMis;
    }

    public HistoryVersamentoProdULRestDTO setUntMis(String untMis) {
        this.untMis = untMis;
        return this;
    }

    public String getGestioneRif() {
        return gestioneRif;
    }

    public HistoryVersamentoProdULRestDTO setGestioneRif(String gestioneRif) {
        this.gestioneRif = gestioneRif;
        return this;
    }

    public String getDataColloRif() {
        return dataColloRif;
    }

    public HistoryVersamentoProdULRestDTO setDataColloRif(String dataColloRif) {
        this.dataColloRif = dataColloRif;
        return this;
    }

    public String getSerColloRif() {
        return serColloRif;
    }

    public HistoryVersamentoProdULRestDTO setSerColloRif(String serColloRif) {
        this.serColloRif = serColloRif;
        return this;
    }

    public Integer getNumColloRif() {
        return numColloRif;
    }

    public HistoryVersamentoProdULRestDTO setNumColloRif(Integer numColloRif) {
        this.numColloRif = numColloRif;
        return this;
    }

    public Integer getNumOrd() {
        return numOrd;
    }

    public HistoryVersamentoProdULRestDTO setNumOrd(Integer numOrd) {
        this.numOrd = numOrd;
        return this;
    }

    public Date getDataOrdD() {
        return UtilityDate.recognizeDateWithExceptionHandler(getDataOrdS());
    }

    public String getDataOrdS() {
        return dataOrd;
    }

    public HistoryVersamentoProdULRestDTO setDataOrd(String dataOrd) {
        this.dataOrd = dataOrd;
        return this;
    }

    public Integer getRigaOrd() {
        return rigaOrd;
    }

    public HistoryVersamentoProdULRestDTO setRigaOrd(Integer rigaOrd) {
        this.rigaOrd = rigaOrd;
        return this;
    }

    public String getGestioneOrd() {
        return gestioneOrd;
    }

    public HistoryVersamentoProdULRestDTO setGestioneOrd(String gestioneOrd) {
        this.gestioneOrd = gestioneOrd;
        return this;
    }
}
